C+
C NAME:
C	iArrI8ValuePresent
C PURPOSE:
C	Check occurrence of given value in integer*8 array
C CALLING SEQUENCE:
	function iArrI8ValuePresent(N,A,APresent)
C SEE ALSO:
C	Array_Info
C-
	    integer	N
	    integer*8	A(*)
	    integer*8	APresent

	NP = 0
	do I=1,N
	    if (A(I) .eq. APresent) NP = NP+1
	end do

	iArrI8ValuePresent = NP

	return
	end
